[tool.poetry]
name = "ccvpn3"
version = "0.1.0"
description = ""
authors = ["CCrypto <code@ccrypto.org>"]

[tool.poetry.dependencies]
python = "^3.6"
django = "^3.0"
jsonfield = "^3.1"
django_countries = "^7"
markdown = "^3.1"
requests = "^2.21"
pygal = "^2.4"
pytz = "^2021.1"
python-bitcoinlib = "^0.11"
stripe = "^2.24"
django-constance = {version = "^2.7",extras = ["database"]}
lcoreapi = {git = "https://git.packetimpact.net/lvpn/lcoreapi.git", tag = "v1.1.1"}
pygments = "^2.3"
psycopg2-binary = "^2.8"
python-frontmatter = "^1"
django-tinymce4-lite = "^1.7"
django-admin-list-filter-dropdown = "^1.0"
django-lcore = {git = "https://git.packetimpact.net/lvpn/django-lcore.git", tag = "v1.6.0"}
celery = "^4.4.7"
django-celery-beat = "^2.0.0"
django-celery-results = "^1.2.1"
redis = "^3.5.3"
flower = "^0.9.5"

[tool.poetry.dev-dependencies]
pylint = "^2.3"
pylint-django = "^2.0.14"
black = {version = "^20.8b1", allow-prereleases = true}
selenium = "^3.141.0"

[build-system]
requires = ["poetry>=0.12"]
build-backend = "poetry.masonry.api"
